PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List sites GETCreate a site POSTGet a site GETUpdate a site PATCHDelete a site DELETEPublish a site POSTUnpublish a site POSTList pages GETCreate a page POSTGet a page GETUpdate a page PATCHDelete a page DELETEList collections GETCreate a collection POSTGet a collection GETUpdate a collection PATCHDelete a collection DELETEList collection items GETCreate a collection item POSTGet a collection item GETUpdate a collection item PATCHDelete a collection item DELETEPublish collection items POSTUnpublish collection items POSTArchive collection items POSTUpsert collection items POST
Sites

Update a collection

Send the full `fields` list. Removing a field keeps its stored values on items. `jsonLd` null removes it.

PATCH
/sites/{siteId}/collections/{collectionId}

Send the full fields list. Removing a field keeps its stored values on items. jsonLd null removes it.

Authorization

x-api-key<token>

In: header

Path Parameters

siteId*string
collectionId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/sites/string/collections/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "name": "string",    "slug": "string",    "templatePageId": "string",    "fields": [      {        "key": "string",        "label": "string",        "type": "text",        "required": true,        "helpText": "string",        "options": [          "string"        ],        "referenceCollectionId": "string",        "itemFields": [          {            "key": "string",            "label": "string",            "type": "text"          }        ]      }    ],    "jsonLd": {      "type": "DefinedTerm",      "map": {        "property1": "string",        "property2": "string"      }    },    "itemCount": 0,    "sortOrder": 0,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}

Get a collection GET

Previous Page

Delete a collection DELETE

Deletes its items and template page. Fails while another collection has a reference field pointing at it.

name?string
Lengthlength <= 120
slug?string
Lengthlength <= 80
fields?array<>
Itemsitems <= 30
jsonLd?